.extended-tests:
  extends:
    - .variables
    - .tags-docker
  stage: extended-tests

.mobsf-service:
  services:
    - name: opensecurity/mobile-security-framework-mobsf:latest
      alias: mobsf
  variables:
    MOBSF_API_KEY: "api-key"

.mobsf-static-analysis:
  extends:
    - .extended-tests
    - .mobsf-service
  variables:
    MOBSF_TEST_FILE: "TO-FILL"
    MOBSF_PDF_REPORT: "./security-report.pdf"
    MOBSF_JSON_REPORT: "./security-report.json"
    MOBSF_SECURITY_MIN_SCORE: "100"
  image: ${IMAGE_PIPELINE}
  script:
    - export no_proxy="${no_proxy},mobsf"
    - /bin/bash .cicd_scripts/security/mobsf/static_analysis.sh "${MOBSF_TEST_FILE}"
    # TODO https://securetrading.atlassian.net/browse/MSDKANDRD-288
  artifacts:
    when: always
    paths:
      - "${MOBSF_PDF_REPORT}"
      - "${MOBSF_JSON_REPORT}"
